#!/bin/bash
B=bin

# TEST=/net/server/homes/sep/qiang/decon-mandydata/src/f_dom_test/test_d.x
TEST=$B/test_d.x
TARGET=./
SCR=./scr


make $TEST

half_order=4

$TEST rho=.999 nt=64 t_domain=1 do_half=0 t_shift=1 func=4 half_order=$half_order> $SCR/ricker.H
# pause
echo o1=0 >> $SCR/ricker.H
Graph min1=0 max1=64 < $SCR/ricker.H title=" " label1="Time sample points" label2="Amp" plotcol=7 out=$TARGET/fig/ricker.v >/dev/null
# pause
make $TARGET/fig/ricker.pdf -f Makefile_figures

$TEST rho=.999 nt=64 t_domain=0 do_half=0 t_shift=1 func=4 half_order=$half_order> $SCR/ricker-freq.H
echo o1=0 >> $SCR/ricker-freq.H
Graph min1=0 max1=64 < $SCR/ricker-freq.H title=" " label1="Frequency sample points 1/(N*dt)" label2="Amp" plotcol=7 out=$TARGET/fig/ricker-freq.v >/dev/null
make $TARGET/fig/ricker-freq.pdf -f Makefile_figures

$TEST rho=.999 nt=64 t_domain=1 do_half=0 t_shift=1 func=5 half_order=$half_order> $SCR/half-ricker.H
echo o1=0 >> $SCR/half-ricker.H
Graph min1=0 max1=64 < $SCR/half-ricker.H title=" " label1="Time sample points" label2="Amp"  plotcol=7 out=$TARGET/fig/half-ricker.v >/dev/null
make $TARGET/fig/half-ricker.pdf -f Makefile_figures

$TEST rho=.999 nt=64 t_domain=0 do_half=0 t_shift=1 func=5 half_order=$half_order> $SCR/half-ricker-freq.H
echo o1=0 >> $SCR/half-ricker-freq.H
Graph min1=0 max1=64 < $SCR/half-ricker-freq.H title=" " label1="Frequency sample points 1/(N*dt)"  label2="Amp" plotcol=7 out=$TARGET/fig/half-ricker-freq.v >/dev/null
make $TARGET/fig/half-ricker-freq.pdf -f Makefile_figures


# cd ${F_DOM}
RHO_RANGE="0 .1 .2 .4 .8 .9"
$TARGET/show_semi_func7.sh $RHO_RANGE
Cp $SCR/result_t.H $SCR/ricker_with_rho.H
cp $SCR/result_t.v $TARGET/Fig/ricker-with-rho.v
Cp $SCR/result_f.H $SCR/ricker_with_rho_freq.H
cp $SCR/result_f.v $TARGET/Fig/ricker-with-rho-freq.v

make  $TARGET/fig/ricker-with-rho.pdf $TARGET/fig/ricker-with-rho-freq.pdf -f Makefile_figures




# cd ${F_DOM}
RHO_RANGE="0 .1 .2 .4 .8 .9"
$TARGET/show_semi_func6.sh $RHO_RANGE
Cp $SCR/result_t.H $SCR/half_ricker_with_rho.H
cp $SCR/result_t.v $TARGET/Fig/half-ricker-with-rho.v
Cp $SCR/result_f.H $SCR/half_ricker_with_rho_freq.H
cp $SCR/result_f.v $TARGET/Fig/half-ricker-with-rho-freq.v

make  $TARGET/fig/half-ricker-with-rho.pdf $TARGET/fig/half-ricker-with-rho-freq.pdf -f Makefile_figures



RHO_RANGE="0 .1 .2 .3 .4 .5 .6 .7 .8 .9"
$TARGET/show_semi_func1.sh $RHO_RANGE
Cp $SCR/result_t.H $SCR/freq_domain_a.H
cp $SCR/result_t.v $TARGET/Fig/freq-domain-a.v
Cp $SCR/result_f.H $SCR/freq_domain_a_freq.H
cp $SCR/result_f.v $TARGET/Fig/freq-domain-a-freq.v

make  $TARGET/fig/freq-domain-a.pdf $TARGET/fig/freq-domain-a-freq.pdf -f Makefile_figures



# 
RHO_RANGE="0 .1 .2 .3 .4 .5 .6 .7 .8 .9"
$TARGET/show_semi_func3.sh $RHO_RANGE
Cp $SCR/result_t.H $SCR/freq_domain_result.H
cp $SCR/result_t.v $TARGET/Fig/freq-domain-result.v
Cp $SCR/result_f.H $SCR/freq_domain_result_freq.H
cp $SCR/result_f.v $TARGET/Fig/freq-domain-result-freq.v

make $TARGET/fig/freq-domain-result.pdf $TARGET/fig/freq-domain-result-freq.pdf -f Makefile_figures



RHO_RANGE="0.9 .91 .92 .93 .94 .95 .96 .97 .98 .99 .99"
$TARGET/show_semi_func1.sh $RHO_RANGE
Cp $SCR/result_t.H $SCR/freq_domain_9_99_a.H
cp $SCR/result_t.v $TARGET/Fig/freq-domain-9-99-a.v
Cp $SCR/result_f.H $SCR/freq_domain_9_99_a_freq.H
cp $SCR/result_f.v $TARGET/Fig/freq-domain-9-99-a-freq.v

make $TARGET/fig/freq-domain-9-99-a.pdf $TARGET/fig/freq-domain-9-99-a-freq.pdf -f Makefile_figures



RHO_RANGE="0.9 .91 .92 .93 .94 .95 .96 .97 .98 .99 .99"
$TARGET/show_semi_func3.sh $RHO_RANGE
Cp $SCR/result_t.H $SCR/freq_domain_9_99_result.H
cp $SCR/result_t.v $TARGET/Fig/freq-domain-9-99-result.v
Cp $SCR/result_f.H $SCR/freq_domain_9_99_result_freq.H
cp $SCR/result_f.v $TARGET/Fig/freq-domain-9-99-result-freq.v

make $TARGET/fig/freq-domain-9-99-result.pdf $TARGET/fig/freq-domain-9-99-result-freq.pdf -f Makefile_figures



make $B/Sparse_decon_mixed_linear.x
make $B/bubble.x
make $B/shift.x



cd scr/field_data
./field_data_init_rho.sh

cd ../synthetic
./synthetic_init_rho.sh

cd ../..


