#!/bin/bash

TEST=/net/server/homes/sep/qiang/decon-mandydata/src/f_dom_test/test_d.x
TARGET=../
F_DOM=/net/server/homes/sep/qiang/decon-mandydata/src/f_dom_test

$TEST rho=.999 nt=64 t_domain=1 do_half=0 t_shift=1 func=4 > $TARGET/ricker.H
echo o1=0 >> $TARGET/ricker.H
Graph min1=0 max1=64 < $TARGET/ricker.H title=" " label1="Time sample points" label2="Amp" out=$TARGET/Fig/ricker.v >/dev/null
make $TARGET/Fig/ricker.pdf

$TEST rho=.999 nt=64 t_domain=0 do_half=0 t_shift=1 func=4 > $TARGET/ricker_freq.H
echo o1=0 >> $TARGET/ricker_freq.H
Graph min1=0 max1=64 < $TARGET/ricker_freq.H title=" " label1="Frequency sample points 1/(N*dt)" label2="Amp" out=$TARGET/Fig/ricker-freq.v >/dev/null
make $TARGET/Fig/ricker-freq.pdf

$TEST rho=.999 nt=64 t_domain=1 do_half=0 t_shift=1 func=5 > $TARGET/half_ricker.H
echo o1=0 >> $TARGET/half_ricker.H
Graph min1=0 max1=64 < $TARGET/half_ricker.H title=" " label1="Time sample points" label2="Amp" out=$TARGET/Fig/half-ricker.v >/dev/null
make $TARGET/Fig/half-ricker.pdf

$TEST rho=.999 nt=64 t_domain=0 do_half=0 t_shift=1 func=5 > $TARGET/half_ricker_freq.H
echo o1=0 >> $TARGET/half_ricker_freq.H
Graph min1=0 max1=64 < $TARGET/half_ricker_freq.H title=" " label1="Frequency sample points 1/(N*dt)"  label2="Amp" out=$TARGET/Fig/half-ricker-freq.v >/dev/null
make $TARGET/Fig/half-ricker-freq.pdf


# cd ${F_DOM}
RHO_RANGE="0 .1 .2 .4 .8 .9"
$TARGET/show_semi_func7.sh $RHO_RANGE
Cp $TARGET/result_t.H $TARGET/ricker_with_rho.H
cp $TARGET/result_t.v $TARGET/Fig/ricker-with-rho.v
Cp $TARGET/result_f.H $TARGET/ricker_with_rho_freq.H
cp $TARGET/result_f.v $TARGET/Fig/ricker-with-rho-freq.v

make  $TARGET/Fig/ricker-with-rho.pdf $TARGET/Fig/ricker-with-rho-freq.pdf


# cd ${F_DOM}
RHO_RANGE="0 .1 .2 .4 .8 .9"
$TARGET/show_semi_func6.sh $RHO_RANGE
Cp $TARGET/result_t.H $TARGET/half_ricker_with_rho.H
cp $TARGET/result_t.v $TARGET/Fig/half-ricker-with-rho.v
Cp $TARGET/result_f.H $TARGET/half_ricker_with_rho_freq.H
cp $TARGET/result_f.v $TARGET/Fig/half-ricker-with-rho-freq.v

make  $TARGET/Fig/half-ricker-with-rho.pdf $TARGET/Fig/half-ricker-with-rho-freq.pdf

RHO_RANGE="0 .1 .2 .3 .4 .5 .6 .7 .8 .9"
$TARGET/show_semi_func1.sh $RHO_RANGE
Cp $TARGET/result_t.H $TARGET/freq_domain_a.H
cp $TARGET/result_t.v $TARGET/Fig/freq-domain-a.v
Cp $TARGET/result_f.H $TARGET/freq_domain_a_freq.H
cp $TARGET/result_f.v $TARGET/Fig/freq-domain-a-freq.v

make  $TARGET/Fig/freq-domain-a.pdf $TARGET/Fig/freq-domain-a-freq.pdf



# 
RHO_RANGE="0 .1 .2 .3 .4 .5 .6 .7 .8 .9"
$TARGET/show_semi_func3.sh $RHO_RANGE
Cp $TARGET/result_t.H $TARGET/freq_domain_result.H
cp $TARGET/result_t.v $TARGET/Fig/freq-domain-result.v
Cp $TARGET/result_f.H $TARGET/freq_domain_result_freq.H
cp $TARGET/result_f.v $TARGET/Fig/freq-domain-result-freq.v

make $TARGET/Fig/freq-domain-result.pdf $TARGET/Fig/freq-domain-result-freq.pdf



RHO_RANGE="0.9 .91 .92 .93 .94 .95 .96 .97 .98 .99 .99"
$TARGET/show_semi_func1.sh $RHO_RANGE
Cp $TARGET/result_t.H $TARGET/freq_domain_9_99_a.H
cp $TARGET/result_t.v $TARGET/Fig/freq-domain-9-99-a.v
Cp $TARGET/result_f.H $TARGET/freq_domain_9_99_a_freq.H
cp $TARGET/result_f.v $TARGET/Fig/freq-domain-9-99-a-freq.v

make $TARGET/Fig/freq-domain-9-99-a.pdf $TARGET/Fig/freq-domain-9-99-a-freq.pdf



RHO_RANGE="0.9 .91 .92 .93 .94 .95 .96 .97 .98 .99 .99"
$TARGET/show_semi_func3.sh $RHO_RANGE
Cp $TARGET/result_t.H $TARGET/freq_domain_9_99_result.H
cp $TARGET/result_t.v $TARGET/Fig/freq-domain-9-99-result.v
Cp $TARGET/result_f.H $TARGET/freq_domain_9_99_result_freq.H
cp $TARGET/result_f.v $TARGET/Fig/freq-domain-9-99-result-freq.v

make $TARGET/Fig/freq-domain-9-99-result.pdf $TARGET/Fig/freq-domain-9-99-result-freq.pdf

cd ../..
pwd



