#!/bin/bash
TEST=/net/server/homes/sep/qiang/decon-mandydata/src/f_dom_test/test_d.x

NT=512
IFT=1
CROP=0
FUNC=3
RHO_RANGE=$@
FUNC=3
half_order=4

if [ -z "$RHO_RANGE" ]; then
   RHO_RANGE="0 .1 .2 .3 .4 .5 .6 .7 .8 .9"
fi

make $TEST
Rm result_t.H
labels=:
Spike d1=1 n1=$(./calc.sh $NT-2*$CROP) n2=1 nsp=0 > result_t.H

for RHO in  $RHO_RANGE
do
        labels="$labels rho=${RHO}:"
	$TEST rho=$RHO nt=$NT t_domain=$IFT crop=$CROP func=$FUNC do_half=0 half_order=$half_order > temp.H
        Cat axis=2 result_t.H temp.H > result_t.H_
        Rm result_t.H
        Cp result_t.H_ result_t.H
        Rm result_t.H_
done

Dots < result_t.H title=" " labels="$labels" label1="Time sample points" label2="Amp" out=result_t.v >/dev/null
# tube result_t.v &

NT=512
IFT=0
CROP=0
Rm result_f.H
labels=10:

Spike d1=1 n1=$NT n2=1 nsp=0 > temp.H
Math  file1=temp.H exp=file1+10. > result_f.H
for RHO in  $RHO_RANGE
do
        labels="$labels rho=${RHO}:"
	$TEST rho=$RHO nt=$NT t_domain=$IFT crop=$CROP func=$FUNC do_half=0 half_order=$half_order > temp.H
        Cat axis=2 result_f.H temp.H > result_f.H_
        Rm result_f.H
        Cp result_f.H_ result_f.H
        Rm result_f.H_
done



Log < result_f.H range=3 centered=0 > temp.H
Math  file1=temp.H exp=file1-`Window n2=1 f2=0 < temp.H | Attr param=1 | Get parform=n maxval`+1 | Graph title=" "  legend=y legendtitle=" " legendloc=br curvelabel="$labels"  label1="Frequency 1/(N*dt)" label2="Amp (log base 10 scale)" out=result_f.v >/dev/null
# tube result_f.v