#!/bin/bash
B=bin
TARGET=scr
R=Fig

TEST=$B/test_d.x

make $TEST

NT=64
IFT=1
CROP=0
FUNC=3
RHO_RANGE=$@
FUNC=7
half_order=4

if [ -z "$RHO_RANGE" ]; then
   RHO_RANGE="0 .1 .2 .4 .8 .9 "
fi

make $TEST

Rm $TARGET/result_t.H
labels=:
Spike d1=1 n1=$(./calc.sh $NT-2*$CROP) n2=1 nsp=0 > $TARGET/result_t.H

for RHO in  $RHO_RANGE
do
        labels="$labels rho=${RHO}:"
	$TEST rho=$RHO nt=$NT t_domain=$IFT crop=$CROP func=$FUNC do_half=0 half_order=$half_order > $TARGET/temp.H
        Cat axis=2 $TARGET/result_t.H $TARGET/temp.H > $TARGET/result_t.H_
        Rm $TARGET/result_t.H
        Cp $TARGET/result_t.H_ $TARGET/result_t.H
        Rm $TARGET/result_t.H_
done
# echo o1=-256 >> result_t.H
Dots < $TARGET/result_t.H  title=" " labels="$labels" label1="Time sample points" label2="Amp" out=$TARGET/result_t.v >/dev/null
# tube result_t.v &

NT=64
IFT=0
CROP=0
Rm $TARGET/result_f.H
labels=

Spike d1=1 n1=$NT n2=1 nsp=0 > $TARGET/temp.H
Math  file1=$TARGET/temp.H exp=file1+10. > $TARGET/result_f.H
for RHO in  $RHO_RANGE
do
        labels="$labels rho=${RHO}:"
	$TEST rho=$RHO nt=$NT t_domain=$IFT crop=$CROP func=$FUNC do_half=0 half_order=$half_order > $TARGET/temp.H
        Cat axis=2 $TARGET/result_f.H $TARGET/temp.H > $TARGET/result_f.H_
        Rm $TARGET/result_f.H
        Cp $TARGET/result_f.H_ $TARGET/result_f.H
        Rm $TARGET/result_f.H_
done

Log < $TARGET/result_f.H range=10 centered=0 > $TARGET/temp.H
Math  file1=$TARGET/temp.H exp=file1-`Window n2=1 f2=0 < $TARGET/temp.H | Attr param=1 | Get parform=n maxval`+1 | Window f2=1 | Graph title=" "  legend=y legendtitle=" " legendloc=br curvelabel="$labels"  label1="Frequency 1/(N*dt)" label2="Amp (log base 10 scale)" dash=0,1,2,3,4,5,6,7,8,9 plotcol=7  out=$TARGET/result_f.v >/dev/null
# tube result_f.v