program test_d

  use sep
!   use base_slofft_mod
  implicit none

  double complex, allocatable, dimension (:) :: C,F   ! wavefield in Fourier domain (nw,nx)
  double complex Z,A,B

  double precision, allocatable, dimension (:)   :: w
  real, allocatable,dimension(:) :: data
  integer :: t_n,w_n,iw,t_domain,crop,do_half,t_shift,func
  double precision :: w_o,w_d,pi
  DOUBLE PRECISION :: d_scale
  real :: rho,t_d
  integer :: half_order

  



  call sep_init()

  call from_param('rho',rho,.9)
  call from_param('nt',t_n,512)
  call from_param('t_domain',t_domain,1)
  call from_param('crop',crop,0)
  call from_param('do_half',do_half,1)
  call from_param('t_shift',t_shift,1)
  call from_param('func',func,1)
  call from_param('half_order',half_order,4)
!  t_n=512
!  do_half=1
  t_d=1.

   if(t_n<= crop*2)   call erexit('Too large crop')



  
    pi = 2.*ACOS(0.0)

    if (do_half==1) then
        w_n = t_n/2+1
        w_d = 2.*pi/(t_n*t_d)
        w_o = 0.
    else 

        w_n = t_n
        w_d = 2.*pi/(t_n*t_d)
        w_o = 0.
    end if

    allocate(w(w_n),C(t_n),data(t_n),F(t_n))
    w=0.
    C=0.
    data=0.
    F=0.

    !F(1)=1.
    !call FFT1DT(F, +1)

    do iw = 1, w_n
       w(iw) = w_o  + (iw - 1) * w_d
    end do

 

  !write(0,*) "Phase I"
  do iw=1,w_n
    Z=exp(cmplx(0.,w(iw)))
    !A=(1.-rho*Z)*(1.+rho*Z)**4*(1.-rho*(1./Z))*(1.+rho*(1./Z))**4
    !B=(1.-Z)*(1.+Z)**4*(1.-(1./Z))*(1.+(1./Z))**4
    !A=(1.-rho*Z)*(1.+rho*Z)**4
    !B=1.
    !A=1.

    select case(func)
      case (1)
        B=1.
        A=(1.-rho*Z)*(1.+rho*Z)**half_order
      case (2)
        B=1.
        A=(1.-rho*Z)*(1.+rho*Z)**half_order*(1.-rho*(1./Z))*(1.+rho*(1./Z))**half_order
      case (3)
        B=(1.-Z)*(1.+Z)**half_order*(1.-(1./Z))*(1.+(1./Z))**half_order
        A=(1.-rho*Z)*(1.+rho*Z)**half_order*(1.-rho*(1./Z))*(1.+rho*(1./Z))**half_order
      case (4)
        B=(1.-Z)*(1.+Z)**half_order*(1.-(1./Z))*(1.+(1./Z))**half_order
        A=1.
      case (5)
        B=(1.-Z)*(1.+Z)**half_order
        A=1.
      case (6)
        B=(1.-rho*Z)*(1.+rho*Z)**half_order
        A=1.
      case (7)
        B=(1.-rho*Z)*(1.+rho*Z)**half_order*(1.-rho*(1./Z))*(1.+rho*(1./Z))**half_order
        A=1.
      case default
       call erexit('error func!')
    end select

    !A=(1.-rho*F(iw))*(1.+rho*F(iw))**4*(1.-rho*(1./F(iw)))*(1.+rho*(1./F(iw)))**4
    !B=(1.-F(iw))*(1.+F(iw))**4*(1.-(1./F(iw)))*(1.+(1./F(iw)))**4
    !A=(1.-rho*F(iw))*(1.+rho*F(iw))**4
    !B=1.
    
    C(iw)=B/A
  end do

  if (do_half==1) then
    C(1)=C(1)/2. !!!!!!!!!!!!!!!!!
    if (mod(t_n,2) .eq. 0) then
      C(t_n/2+1)=C(t_n/2+1)/2.  !!!!!!!!!!!!!!!!!
    end if
  end if

   call to_history('n1',t_n-2*crop)
   call to_history('d1',t_d)
   call to_history('o1',1)

   call to_history('n2',1)
   call to_history('d2',1)
   call to_history('o2',0)

   !write(0,*) data(1:t_n)

  !write(0,*) "Phase II"
  if (t_domain==1) then
    !call FFT1DT(C, -1)
    d_scale=1./t_n
    
    !call cefft_fbc(C,t_n,-1,d_scale)
    
    call D_FT1D(C(1:t_n),t_n,-1,d_scale)
    
    if (t_shift==1) then 
      data(t_n/2+1:t_n)=real(C(1:t_n/2))
      data(1:t_n/2)=real(C(t_n/2+1:t_n))
    else
      data(1:t_n)=real(C(1:t_n))
    end if

    if (do_half==1) data=data*2.0

    !write(0,*) data(1:t_n)
    call sep_write(data(1+crop:t_n-crop))
    !write(0,*) 1+crop,t_n-crop
  else
    data(1:t_n)=abs(C(1:t_n))
    call sep_write(data(1:t_n-crop*2))
  end if

  
  



   call sep_close()

  deallocate(w,C,data,F)

end program




subroutine D_FT1D(C,nt,isign,scale)
    double complex ::C(nt)
    double complex, allocatable ::T(:)
    double PRECISION, allocatable ::w(:)
    integer ::isign,nt,iw,it
    double PRECISION::scale
    double PRECISION ::ow,dw,pi

    !write(0,*) "nt",nt

    allocate(T(nt),w(nt))
    T=0.
    w=0.

    pi = 2.*ACOS(0.0)
    dw = 2.*pi/(nt)
    ow = 0.
    do iw = 1, nt
       w(iw) = ow  + (iw - 1) * dw
       !write(0,*)  w(iw)
    end do


     do it=1,nt
         do iw=1,nt
             T(it)=T(it)+C(iw)*exp(cmplx(0,isign*w(iw)*(it-1)))
         end do
     end do

    !write(0,*)  real(T)
    !write(0,*) 'aaaaaaaaaaaaaaa'

    T=T*scale
    C(1:nt)=T(1:nt)

    

    deallocate(T,w)
end subroutine